### File

`packages/components/externals/charts/model/apex-types.ts`

### Index

###### Properties
Optional colors Optional discrete Optional fillOpacity Optional hover Optional offsetX Optional offsetY Optional shape Optional showNullDataPoints Optional size Optional strokeColors Optional strokeDashArray Optional strokeOpacity Optional strokeWidth
###### Methods
Optional onClick Optional onDblClick

### Methods

Optional onClick
`onClick(e?: any)`
Parameters :
Name | Type | Optional
e | `any` | Yes
Returns : `void`

Optional onDblClick
`onDblClick(e?: any)`
Parameters :
Name | Type | Optional
e | `any` | Yes
Returns : `void`

### Properties

colors
`colors: `string[]``
Type : `string[]`
Optional

discrete
`discrete: `ApexDiscretePoint[]``
Type : `ApexDiscretePoint[]`
Optional

fillOpacity
`fillOpacity: `number | number[]``
Type : `number | number[]`
Optional

hover
`hover: `literal type``
Type : `literal type`
Optional

offsetX
`offsetX: `number``
Type : `number`
Optional

offsetY
`offsetY: `number``
Type : `number`
Optional

shape
`shape: `ApexMarkerShape``
Type : `ApexMarkerShape`
Optional

showNullDataPoints
`showNullDataPoints: `boolean``
Type : `boolean`
Optional

size
`size: `number | number[]``
Type : `number | number[]`
Optional

strokeColors
`strokeColors: `string | string[]``
Type : `string | string[]`
Optional

strokeDashArray
`strokeDashArray: `number | number[]``
Type : `number | number[]`
Optional

strokeOpacity
`strokeOpacity: `number | number[]``
Type : `number | number[]`
Optional

strokeWidth
`strokeWidth: `number | number[]``
Type : `number | number[]`
Optional

# results matching ""

# No results matching ""